View Issue Details

IDProjectCategoryView StatusLast Update
0000028Main CAcert Websitecertificate issuingpublic2015-03-10 20:10
Reporterhomer Assigned ToNEOatNHNG  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2005 
Target Version2013 Q2Fixed in Version2014 Q4 
Summary0000028: #0026 Wrong language for ''you've been assured'' & ''[CAcert.org] Client Certificate'' emails
DescriptionIf my default language is German and I assure someone, this someone will receive a German "Sie wurden assured" email. The other way round I receive english "You've been assured" emails even if my default language is German.

Same applies to [CAcert.org] Client Certificate as my prefered language is french I remember having translated thoses sentences in French !

Hi Guillaume,

You can collect your certificate for gr ##AT## gr.homeunix.org by going to the following location:

https://www.cacert.org/account.php?id=6&cert=XXXX

Best regards CAcert.org Support!
Additional InformationComments

Chris set status to Open, 2005-06-27
TagsNo tags attached.
Reviewed byTed, BenBE
Test Instructions

Relationships

related to 0000073 closed Main CAcert Website Untranslated texts in certificate renewal reminder e-mail 
has duplicate 0001128 closed test.cacert.org Wrong language in automated communication 
related to 0000498 closed Test1.cacert.at add language switch to (test email)s 
related to 0001129 needs reviewjanmaco Main CAcert Website When SE reveals the five secred questions and answers no warning is sent to the member 

Activities

bluec

2006-03-24 10:49

manager   ~0000113

The problem lays in wot.php line 287. Thats where that email is compiled and translated into the language the _assurer_ has configured:

  $body = sprintf(_("You are receiving this email ....

A workaround might be to provide two languages as it is done for the "reminder" emails for missing accounts.

duane

2006-08-17 03:05

developer   ~0000586

Is this still a problem? There seems to be code to take care of this in wot.php at line 305...

INOPIAE

2012-12-15 15:47

updater   ~0003444

I pushed the fix to https://github.com/INOPIAE/CAcert/tree/bug-28
I try to make sure that all emails send to a person that is not the user starting the mail process is changed to the language of the user.

BenBE

2012-12-18 21:13

updater   ~0003461

How is multi-language support done at other places?

BenBE

2013-02-26 23:24

updater   ~0003772

Unable to rebase to sanatize EOLs; please rebuild patch series with Linux line endings (LF only).

BenBE

2013-05-01 13:57

updater   ~0003964

Patch series reworked for proper EOL markers.

NEOatNHNG

2013-05-07 20:44

administrator   ~0003976

Patch needs some more work. Bugs are some misspellings in variables causing errors and proper integration into the L10n class

Eva

2013-09-14 10:50

updater   ~0004316

I assured a Frensh-acc with a German-acc.

The assuree (Frensh) got a mail:
"You are receiving this email because you have been assured by Admin Katzi (KatziAdmin@cacert.org).

 You were issued 35 points. However the system only counts up to 100 assurance points.

 Vous avez maintenant 100 points d'accréditation ou plus; si vous voulez devenir un accréditeur, passez le défi d'accréditeur. ( https://cats.cacert.org )
[...]" (everything skipped was french)

The assurer (German) got a mail:
"You are receiving this email because you have assured Test1 Katzi (KatziTest1@cacert.org).

You issued 35 points.

Mit freundlichen Grüßen
CAcert-Support-Team"




I assured a German-acc with a Frensh-acc.

The assuree (German) got a mail:
"You are receiving this email because you have been assured by Test1 Katzi (KatziTest1@cacert.org).

You were issued 10 points. However the system only counts up to 100 assurance points.

Mit freundlichen Grüßen
CAcert-Support-Team"


The assurer (Frensh) got a mail:
"You are receiving this email because you have assured Admin Katzi (KatziAdmin@cacert.org).

 You issued 10 points.

 Cordialement
 L'équipe d'aide de CAcert"


=>
There is no language mixup between German and French in the mails.
In each mail, the non-English language used is the correct language.
I cannot say to wich language the English part will be translated. But since there was no mixup of the languages inside one mail, it will probably be the right one, too.

INOPIAE

2014-04-15 21:59

updater   ~0004732

I assured German to French and German to Spanish,

the assuree got the mail in his language (at least the Best regards part was in the local language) => ok
the assurer got the mail in German (at least the Best regards part was in the local language) =>ok

=> ok

INOPIAE

2014-04-15 22:00

updater   ~0004733

Please review as there are at least two successful test.

Ted

2014-11-22 16:54

administrator   ~0005117

Reviewed commit 0950de5691... vs. 7baaa9a0ac...

One minor issue, the changes in includes/account.php are not correctly indented (or is it something with my viewer?), two tabs while three tabs would be correct. I'd prefer if this would be fixed but don't consider it critical.

Overall this review is PASSED

BenBE

2014-11-23 15:06

updater   ~0005122

Sent to crit for deployment.

wytze

2014-11-24 10:19

developer   ~0005125

The fix has been installed on the production server on November 24, 2014. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2014-11/msg00017.html

Issue History

Date Modified Username Field Change
2005-09-06 19:41 homer New Issue
2005-12-08 20:48 evaldo Relationship added related to 0000073
2006-03-24 10:49 bluec Note Added: 0000113
2006-08-17 03:04 duane Status new => needs work
2006-08-17 03:04 duane Assigned To => bluec
2006-08-17 03:05 duane Note Added: 0000586
2006-08-17 03:05 duane Status needs work => needs feedback
2012-12-15 15:47 INOPIAE Note Added: 0003444
2012-12-15 15:47 INOPIAE Assigned To bluec => NEOatNHNG
2012-12-15 15:47 INOPIAE Status needs feedback => fix available
2012-12-16 20:47 INOPIAE Relationship added related to 0001128
2012-12-16 20:48 INOPIAE Relationship deleted related to 0001128
2012-12-16 20:48 INOPIAE Relationship added has duplicate 0001128
2012-12-18 21:13 BenBE Note Added: 0003461
2012-12-19 09:52 INOPIAE Relationship added related to 0000498
2013-02-26 23:24 BenBE Note Added: 0003772
2013-05-01 13:57 BenBE Note Added: 0003964
2013-05-01 13:57 BenBE Status fix available => needs review & testing
2013-05-01 13:57 BenBE Product Version => 2005
2013-05-01 13:57 BenBE Target Version => 2013 Q2
2013-05-01 13:57 BenBE Description Updated View Revisions
2013-05-01 14:00 BenBE Source_changeset_attached => cacert-devel testserver-stable 1d7ef5fb
2013-05-01 14:00 BenBE Source_changeset_attached => cacert-devel testserver-stable a6ae837d
2013-05-01 14:00 BenBE Source_changeset_attached => cacert-devel testserver-stable 6ff07a75
2013-05-01 14:00 BenBE Source_changeset_attached => cacert-devel testserver-stable 44ef9861
2013-05-01 15:00 BenBE Source_changeset_attached => cacert-devel testserver-stable 32d2e33f
2013-05-01 15:00 BenBE Source_changeset_attached => cacert-devel testserver-stable f8fa314f
2013-05-07 20:44 NEOatNHNG Note Added: 0003976
2013-05-07 20:44 NEOatNHNG Assigned To NEOatNHNG => INOPIAE
2013-05-07 20:44 NEOatNHNG Status needs review & testing => needs work
2013-05-07 22:10 BenBE Source_changeset_attached => cacert-devel testserver-stable 00606f8e
2013-05-07 22:10 BenBE Source_changeset_attached => cacert-devel testserver-stable 06b04cd9
2013-05-07 22:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 905a1b07
2013-05-07 22:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 97dea892
2013-05-07 22:31 BenBE Source_changeset_attached => cacert-devel testserver-stable 038939a2
2013-05-07 22:31 BenBE Source_changeset_attached => cacert-devel testserver-stable fb9240fc
2013-05-07 22:31 BenBE Source_changeset_attached => cacert-devel testserver-stable 6eba222f
2013-05-07 22:31 BenBE Source_changeset_attached => cacert-devel testserver-stable 0950de56
2013-05-07 23:06 INOPIAE Status needs work => needs review & testing
2013-09-14 10:50 Eva Note Added: 0004316
2013-09-21 05:38 BenBE Reviewed by => BenBE
2013-09-21 05:38 BenBE Description Updated View Revisions
2013-09-21 06:00 BenBE Assigned To INOPIAE => egal
2014-04-15 21:59 INOPIAE Note Added: 0004732
2014-04-15 22:00 INOPIAE Note Added: 0004733
2014-04-15 22:00 INOPIAE Assigned To egal => NEOatNHNG
2014-04-15 22:00 INOPIAE Status needs review & testing => needs review
2014-06-15 13:05 felixd Relationship added related to 0001129
2014-11-22 16:54 Ted Note Added: 0005117
2014-11-22 16:54 Ted Status needs review => ready to deploy
2014-11-22 16:55 Ted Reviewed by BenBE => Ted, BenBE
2014-11-23 15:06 BenBE Note Added: 0005122
2014-11-23 16:00 BenBE Source_changeset_attached => cacert-devel release 1cc5257a
2014-11-24 10:19 wytze Note Added: 0005125
2014-11-24 10:19 wytze Status ready to deploy => solved?
2014-11-24 10:19 wytze Fixed in Version => 2014 Q4
2014-11-24 10:19 wytze Resolution open => fixed
2015-03-10 20:10 INOPIAE Status solved? => closed